NEXT SCADA TRAINING

Why do I need a lower version of firmware in my new RTU?

When you receive a new RTU from the factory, it comes with the latest and greatest firmware.  If you don't have the latest version of STS, you are required to downgrade your firmware to a version compatible with your STS.  The rule is the firmware version must be less than the STS version.  Generally, downgrading your firmware in the RTU does not result in any issues.  However, you can avoid this step by upgrading your STS version.  Contact us to find out how.

Mr. Brauer and ITS come highly recommended. I have been completely satisfied with the product and service rendered and I will not hesitate to continue to specify their assistance on future projects.
- Marvin Lewis, Superintendent City of Chesapeake Pump Station

Recent Solutions

Satisfying the EPA with SCADA over Radio

Motorola ACE3600 SCADA over Radio providing EPA reporting data for 300+ lift stations using Wonderware InTouch and Wonderware Historian

IV&D Radio Upgrade

Migrating a radio system from analog to IV&D in phases.

IP sites on an RF system

How to integrate IP sites to an existing Analog Radio System.

All Solutions
  • its is an authorized motorola reseller
  • its is a certified wonderware partner

ITS is proud to be an authorized reseller of the best SCADA systems in the industry.

Stay up to date on our SCADA trainings, product offerings and industry trends.